'$INCLUDE: 'C:\QB45\LIBRARY\SBSMAIN.BI'
'*********************************************************************
'*
'*  PROGRAM NAME: PLAYMIDI.PAS
'*
'*  COMPILER:     Microsoft Quick BASIC ver. 4.5
'*
'*  DESCRIPTION: Plays a .MID MIDI file from the disk using the SBMIDI
'*               driver (accessed from SBSIM).  To run the program,
'*               type the following at the command line:
'*
'*               PLAYMIDI FILENAME
'*
'*               Where FILENAME is the drive/path/filename of the .MID
'*               file to play.
'*
'*  NOTE: SBSIM driver must be loaded before running this program.
'*
'*********************************************************************

DIM SHARED sbSim AS sbSimDriver

DIM SoundPaused AS INTEGER

IF InitSBSIM(sbSim) = -1 THEN
	PRINT "SBSIM driver not loaded"
ELSE
	SoundPaused = 0
	IF StartSnd(sbSim, drvMidi, COMMAND$ + CHR$(0), 0, 0) = 0 THEN
		IF NOT (PlaySnd(sbSim, drvMidi) = 0) THEN
			CALL PrintErr(sbSim)
		ELSE
			PRINT "Midi Started"
			WHILE NOT (ReadSoundStatus%(sbSim, drvMidi) = 0)
				KEY$ = INKEY$
				IF KEY$ = CHR$(32) THEN
					IF SoundPaused = 0 THEN
						CALL PauseSound(sbSim, drvMidi)
						SoundPaused = 1
						PRINT "Midi Sound Paused."
					ELSE
						CALL ResumeSound(sbSim, drvMidi)
						SoundPaused = 0
						PRINT "Midi Sound Resumed."
					END IF
				END IF

				IF KEY$ = CHR$(27) THEN
					CALL StopSound(sbSim, drvMidi)
				END IF
			WEND
			PRINT "Midi Sound Stopped."
		END IF
	END IF
END IF


