'$INCLUDE: 'C:\QB45\LIBRARY\SBSMAIN.BI'
'*********************************************************************
'*
'*  PROGRAM NAME: PLAYVOCD.PAS
'*
'*  COMPILER:     Microsoft Quick BASIC ver. 4.5
'*
'*  DESCRIPTION:  Plays a .VOC file from the disk using the CTVDSK.DRV
'*                double buffering driver (accessed from SBSIM).  To run
'*                the program, type the following at the command line:
'*
'*                PLAYVOCD FILENAME
'*
'*                Where FILENAME is the drive/path/filename of the .VOC
'*                file to play.
'*
'*  NOTE: SBSIM driver must be loaded before running this program.
'*
'*********************************************************************

DIM SHARED sbSim AS sbSimDriver

DIM SoundPaused AS INTEGER

IF InitSBSIM(sbSim) = -1 THEN
	PRINT "SBSIM driver not loaded"
ELSE
	SoundPaused = 0
	IF StartSnd(sbSim, drvDskVoice, COMMAND$ + CHR$(0), 0, 0) = 0 THEN
		IF NOT (PlaySnd(sbSim, drvDskVoice) = 0) THEN
			CALL PrintErr(sbSim)
		ELSE
			PRINT "DskVoice Started"
			WHILE NOT (ReadSoundStatus%(sbSim, drvDskVoice) = 0)
				KEY$ = INKEY$
				IF KEY$ = CHR$(32) THEN
					IF SoundPaused = 0 THEN
						CALL PauseSound(sbSim, drvDskVoice)
						SoundPaused = 1
						PRINT "DskVoice Sound Paused."
					ELSE
						CALL ResumeSound(sbSim, drvDskVoice)
						SoundPaused = 0
						PRINT "DskVoice Sound Resumed."
					END IF
				END IF

				IF KEY$ = CHR$(27) THEN
					CALL StopSound(sbSim, drvDskVoice)
				END IF
			WEND
			PRINT "DskVoice Sound Stopped."
		END IF
	END IF
END IF


