'$INCLUDE: 'C:\QB45\LIBRARY\SBSMAIN.BI'
'*********************************************************************
'*
'*  PROGRAM NAME: PLAYVOCM.PAS
'*
'*  COMPILER:     Microsoft Quick BASIC ver. 4.5
'*
'*  DESCRIPTION: Plays a .VOC file from the conventional memory using
'*               the CT-VOICE.DRV driver (accessed from SBSIM).  To run
'*               the program, type the following at the command line:
'*
'*               PLAYVOCM FILENAME
'*
'*               Where FILENAME is the drive/path/filename of the .VOC
'*               file to play.
'*
'*  NOTE:        SBSIM driver must be loaded before running this program.
'*
'*  WARNING:     This program does NOT support files larger than 64KB!
'*
'*********************************************************************

DIM SHARED sbSim AS sbSimDriver
DIM SoundPaused AS INTEGER
DIM BuffSeg AS INTEGER

PRINT "Available Memory:"; MemFree

IF InitSBSIM(sbSim) > -1 THEN
    SoundPaused = 0
	BuffSeg = LoadMem%(COMMAND$ + CHR$(0))
    IF BuffSeg = -1 THEN
       PRINT "Error Loading File:";COMMAND$
       PRINT "DOS Error:";DOSError
    ELSE
       PRINT "Buffer Allocated:";HEX$(BuffSeg);":0000"
        IF StartSnd(sbSim, drvMemVoice, "", BuffSeg, 0) = 0 THEN
            IF NOT (PlaySnd(sbSim, drvMemVoice) = -1) THEN
                PRINT "MemVoice: Sound Started"
                WHILE NOT (ReadSoundStatus%(sbSim, drvMemVoice) = 0)
                    KEY$ = INKEY$
                    IF KEY$ = CHR$(32) THEN
                        IF SoundPaused = 0 THEN
                           CALL PauseSound(sbSim, drvMemVoice)
                           PRINT "MemVoice: Sound Paused"
                        ELSE
                            CALL ResumeSound(sbSim, drvMemVoice)
                           PRINT "MemVoice: Sound Resumed"
                        END IF
                        SoundPaused = (SoundPaused + 1) AND 1
                    END IF
                    IF KEY$ = CHR$(27) THEN
                        CALL StopSound(sbSim, drvMemVoice)
                    END IF
                WEND
                PRINT "MemVoice: Sound Stopped."
                IF NOT (FreeMem%(BuffSeg) = -1) THEN
				   PRINT "Buffer DeAllocated Successfully"
				END IF
            END IF
        END IF
    END IF
END IF


