'$INCLUDE: 'C:\QB45\LIBRARY\SBSMAIN.BI'
'*********************************************************************
'*
'*  PROGRAM NAME: PLAYVOCX.PAS
'*
'*  COMPILER:     Microsoft Quick BASIC ver. 4.5
'*
'*  DESCRIPTION: Plays a .VOC file from extended memory using the
'*               CT-VOICE.DRV driver (accessed from SBSIM).  To run
'*               the program, type the following at the command line:
'*
'*               PLAYVOCX FILENAME
'*
'*               Where FILENAME is the drive/path/filename of the .VOC
'*               file to play.
'*
'*  NOTE: SBSIM driver must be loaded before running this program.
'*
'*********************************************************************

DIM SHARED sbSim AS sbSimDriver

DIM SoundPaused AS INTEGER
DIM sbsHandle AS INTEGER

IF InitSBSIM(sbSim) = -1 THEN
	PRINT "SBSIM driver not loaded"
ELSE
	sbsHandle = LoadExtMem(sbSim, 0, COMMAND$ + CHR$(0), 0)
	IF sbsHandle = -1 THEN
		CALL PrintErr(sbSim)
	ELSE
		SoundPaused = 0
		IF StartSnd(sbSim, drvMemVoice, "", 0, sbsHandle) = 0 THEN
			IF NOT (PlaySnd(sbSim, drvMemVoice) = 0) THEN
				CALL PrintErr(sbSim)
			ELSE
				PRINT "MemVoice Started"
				WHILE NOT (ReadSoundStatus%(sbSim, drvMemVoice) = 0)
					KEY$ = INKEY$
					IF KEY$ = CHR$(32) THEN
						IF SoundPaused = 0 THEN
							CALL PauseSound(sbSim, drvMemVoice)
							SoundPaused = 1
							PRINT "MemVoice Sound Paused."
						ELSE
							CALL ResumeSound(sbSim, drvMemVoice)
							SoundPaused = 0
							PRINT "MemVoice Sound Resumed."
						END IF
					END IF

					IF KEY$ = CHR$(27) THEN
						CALL StopSound(sbSim, drvMemVoice)
					END IF
				WEND
				PRINT "MemVoice Sound Stopped."
			END IF
		END IF
	END IF
END IF


