#ifndef FILEFUNC_H
#define FILEFUNC_H

//----------------------
// CONSTANT DEFINITIONS
//----------------------
#define OK        0
#define MEMERR	 -1
#define FILERR	 -2
#define NO				0
#define YES 			1

#define HEAD			0
#define START 		1
#define STOP			2
#define CURRENT 	3

//------------------------
// STRUCTURE DEFINITIONS
//------------------------
typedef struct fileElementTag
{
	char filename[13];
	int status;
	struct fileElementTag *next;
	struct fileElementTag *prev;
} FILELEMENT;

typedef struct
{
	FILELEMENT *head;
	FILELEMENT *start;
	FILELEMENT *stop;
	FILELEMENT *current;
	FILELEMENT *active;
} FILEPTR;

//------------------
// GLOBAL VARIABLES
//------------------
extern char *dirMemErr;

//------------------------
// FUNCTION DECLARATIONS
//------------------------
void InitFileList(FILEPTR *ptr, int lines);
int GetFileList(FILELEMENT **files, char *extension);
void Add(FILELEMENT **fileList, FILELEMENT *newEntry);
void PadBlanks(char string[], int size);
int FindFileType(char filename[]);
#endif
