#include "filefunc.h"
#include "drvrfunc.h"

//----------------------
// CONSTANT DEFINITIONS
//----------------------
#define OFF         0
#define ON					1

#define ERROR 			-1
#define OK					0

#define NORMAL			0
#define HIGHLIGHT 	1

#define SELECTABLE	1
#define VIEWABLE		2

//------------------------
// STRUCTURE DEFINITIONS
//------------------------
typedef struct
{
	int x;
	int y;
} COORD;

typedef struct
{
	int status;
	char *title;
	COORD loc;
	COORD size;
	unsigned mixLvl;
	int lastChr;
	FILEPTR fileList;
} WINDOW;

//------------------
// GLOBAL VARIABLES
//------------------
extern int mixer;
extern char *memErr;

//------------------------
// FUNCTION DECLARATIONS
//------------------------
void DrawBackground(int x1, int y1, int x2, int y2);
void DrawWindow(WINDOW *win, int state);
void InitScreen(void);
void DemoExit(int exitState);
void DrawSlider(WINDOW *win, int level, int state);
void DrawFileList(WINDOW *win, int state);
int DrawError(char *errorStr);
int DrawDrvrInfo(int x, int y, int version, DVRINFO *drv0, DVRINFO *drv1,
								 DVRINFO *drv2, DVRINFO *drv3, DVRINFO *drv4);
